Assignee: MartinBosslet (Martin Bosslet)   

Target version:    

ruby -v: 1.9.3p194 Backport:  

Description

The code example in the "Decryption" section of the OpenSSL docs shows ciphertext being decrypted with the same key used to

encrypt it. Instead, decryption should be done with the other key in the pair. I've verified that the sample code in trunk does not work,

and the sample code in the attached patch does work.

Associated revisions

Revision 21f1af2ec217c6e64af2095186c558b81a00e212 - 06/09/2012 06:16 PM - MartinBosslet (Martin Bosslet)

ext/openssl/ossl.c: Fix error in example. Patch by David Albert.

Add/extend existing documentation. Examples now also cover RSA

signatures and PBKDF2.

[ruby-core: 45154][ruby-trunk - Bug #6475]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@35996 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 21f1af2e - 06/09/2012 06:16 PM - MartinBosslet (Martin Bosslet)

ext/openssl/ossl.c: Fix error in example. Patch by David Albert.

Add/extend existing documentation. Examples now also cover RSA

signatures and PBKDF2.

[ruby-core: 45154][ruby-trunk - Bug #6475]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@35996 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 05/21/2012 02:17 AM - davidbalbert (David Albert)

- File 0001-Fix-decryption-example-in-OpenSSL-docs.patch added

Attached patch

#2 - 05/21/2012 07:22 AM - MartinBosslet (Martin Bosslet)

- Status changed from Open to Assigned

- Assignee set to MartinBosslet (Martin Bosslet)

#3 - 06/05/2012 07:16 AM - davidbalbert (David Albert)

Is there anything I can do to speed up this process a little bit? I'm trying to learn how to contribute to Ruby, and I'd like to know if there's something I

should be doing to make it easier for this patch to get accepted.

#4 - 06/05/2012 11:43 PM - MartinBosslet (Martin Bosslet)

davidbalbert (David Albert) wrote:

Is there anything I can do to speed up this process a little bit? I'm trying to learn how to contribute to Ruby, and I'd like to know if there's

something I should be doing to make it easier for this patch to get accepted.
 No worries, I will look into this soon :) It's a small fix and I might have committed it right away, but I was trying to look to enhance the example a bit,

that's why it took some time... Your patch or its format had nothing to do with it, thanks for your contribution!

-Martin

#5 - 06/10/2012 03:16 AM - Anonymous

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r35996.

David, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

ext/openssl/ossl.c: Fix error in example. Patch by David Albert.

Add/extend existing documentation. Examples now also cover RSA

signatures and PBKDF2.

[ruby-core: 45154][ruby-trunk - Bug #6475]

Files

0001-Fix-decryption-example-in-OpenSSL-docs.patch 848 Bytes 05/21/2012 davidbalbert (David Albert)
